# Load default processing options
imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Minimal configuration for the editor
editor:
    config:
        contentsCss: "EXT:base_distribution/Resources/Public/Css/bootstrap4-rte.min.css"
        stylesSet:
            - { name: "List Unstyled", element: "ul", attributes: { 'class': 'list-unstyled' } }
            - { name: "List Inline", element: "ul", attributes: { 'class': 'list-inline' } }
        toolbarGroups:
          - { name: styles, groups: [ format ] }
          - { name: basicstyles, groups: [ basicstyles] }
          - { name: paragraph, groups: [ list, indent, blocks, align ] }
          - { name: links, groups: [ links ] }
          - { name: document, groups: [ mode ] }
        removeButtons:
            - Anchor
            - Underline
            - Strike
            - Subscript
            - Superscript
        format_tags: "p;h1;h2;h3;h4;h5;pre"
        extraPlugins:
            - justify
            - autolink
            - colorbutton
        colorButton_colors: "000000,0C3A5E,95C11F,525252,DDDDDD"
classesAnchor:
    page:
        class: 'link-page'
        type: 'page'
    folder:
        class: 'link-folder'
        type: 'folder'
    file:
        class: 'link-file'
        type: 'file'
    external:
        class: 'link-external'
        type: 'url'
    mail:
        class: 'link-mail'
        type: 'mail'
buttons:
    link:
        properties:
            class:
                allowedClasses: 'link-arrow, link-page, link-folder, link-file, link-external, link-mail'
